
GammaLib - Bug #1092

Write out run ids in GCTAModelBackground

01/21/2014 03:36 PM - Buehler Rolf

Status: Closed Start date: 01/21/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-01   

Description

Run ids are not written out to the output XML in the write method  of GCTAModelBackground. To fix this the following line needs to

be added to GCTAModelBackground.cpp after line 848:

src->attribute("ids",ids());

History

#1 - 01/21/2014 06:04 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 00-08-01

- % Done changed from 0 to 90

Code changed as advised. Still needs checking.

#2 - 01/21/2014 11:17 PM - Knödlseder Jürgen

Rolf, the code is in devel now, can you check if the issue is solved?

#3 - 01/22/2014 02:49 PM - Buehler Rolf

Juergen, writing the ids works, but Michi noticed that the reader needs a minor change too. For this line 806 in GCTAModelBackground.cpp needs to

be changed from:

ids(xml.attribute("id"));

to

ids(xml.attribute("ids"));

After this the reading and writing loop works now. (Sorry I didnt check this the first time. By the way, we may consider to add the reading and writing

of the ids into the base class GModelData, as it will probably be needed for all derived classes).

#4 - 01/22/2014 06:13 PM - Knödlseder Jürgen

- Subject changed from Writte out run ids in GCTAModelBackground to Write out run ids in GCTAModelBackground

#5 - 01/22/2014 06:19 PM - Knödlseder Jürgen

Oh, I did not really check this. I guess we want to have id as attribute name to be consistent with the attribute in the observation definition file,

although the id field may contain several identifiers.
I noticed that GModelSky does not write-out id either.

And finally, the id writing should be optional (similar to the instrument attribute).

Will change accordingly and check.

#6 - 01/22/2014 09:45 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

Corrected, tested and merged into devel.

#7 - 02/06/2014 11:15 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
